apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: frontend
  namespace: document-link

spec:
  interval: 10m

  chart:
    spec:
      chart: universal-chart
      version: "0.1.7"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m

  install:
    remediation:
      retries: 3

  upgrade:
    remediation:
      retries: 3

  values:
    global:
      env: _default

    services:
      frontend:
        enabled: true

        image:
          name:
            _default: cr.yandex/crp3ccidau046kdj8g9q/document-link-frontend:51c342660b1bebebcaada22551e660ff260a4523
          pullPolicy:
            _default: IfNotPresent

        deployment:
          enabled: true

          name:
            _default: frontend

          replicaCount:
            _default: 1
            stage: 1
            preprod: 3
            production: 3

          port:
            _default: 3000

          probes:
            liveness:
              enabled: false
            readiness:
              enabled: false

        service:
          enabled: true

          name:
            _default: frontend-service


          type:
            _default: ClusterIP

          port:
            _default: 8080

          targetPort:
            _default: 3000

          portName:
            _default: http

        imagePullSecrets:
          enabled:
            _default: true
          name:
            _default: regcred


        commitSha: ""
        gitlabUri: ""
        gitlabJobUrl: ""
        owner: ""